# Class BarStyle.Placement

java.lang.Object
uk.ac.starlink.ttools.plot.BarStyle.Placement

Enclosing class:
  `BarStyle`

public abstract static class BarStyle.Placement extends Object
Describes bar placement, that is how multiple bars covering the same data range are to be arranged.

Since:
  16 Nov 2005
Author:
  Mark Taylor

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Placement(String name)`

## Method Summary

Modifier and Type
Method
Description
`abstract int[]`
`getXRange(int lo, int hi, int iseq, int nseq)`
Returns the range of X coordinates to be used for plotting a bar.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Placement

protected Placement(String name)

## Method Details

### getXRange

public abstract int[] getXRange(int lo, int hi, int iseq, int nseq)
Returns the range of X coordinates to be used for plotting a bar.

Parameters:
  `lo` - lower bound of total range for data region
  `hi` - upper bound of total range for data region + 1
  `iseq` - index of the bar to be plotted in the returned range
  `nseq` - total number of bars which will be plotted in the data region
Returns:
  2-element arrage giving (lower bound, upper bound+1) of the region the plotted bar should occupy

### toString

public String toString()

Overrides:
  `toString` in class `Object`